> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# PasswordStrengthCheck (Enterprise)

> Perform a password strength check.
## Returns

A successful response returns an object with password strength properties such as `score`, `crack_time` and `crack_time_display` for UI. Higher `score` demonstrates higher security and the `crack_time` is calculated assuming unlimited programmatic attempts using standard compute power.



## OpenAPI

````yaml post /v1/auth/passwords/strength_check
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/auth/passwords/strength_check:
    parameters: []
    post:
      tags:
        - Passwords
      summary: PasswordStrengthCheck (Enterprise)
      description: >-
        Perform a password strength check.

        ## Returns


        A successful response returns an object with password strength
        properties such as `score`, `crack_time` and `crack_time_display` for
        UI. Higher `score` demonstrates higher security and the `crack_time` is
        calculated assuming unlimited programmatic attempts using standard
        compute power.
      operationId: PasswordStrengthCheck
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordStrengthCheckRequest'
            examples:
              PasswordStrengthCheckReq:
                value:
                  password: hbDh5zCYexLhDTLalkIy6lcO
        description: ''
      responses:
        '200':
          description: PasswordStrengthCheck (Enterprise) response
          content:
            application/json:
              schema:
                type: object
                properties:
                  score:
                    type: integer
                  crack_time:
                    type: integer
                  crack_time_display:
                    type: string
              examples:
                PasswordStrengthResp:
                  value:
                    score: 4
                    crack_time: 3.679123019869259e+32
                    crack_time_display: centuries
components:
  schemas:
    PasswordStrengthCheckRequest:
      type: object
      properties:
        password:
          type: string
          description: Password for strength check.
      required:
        - password
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````